Create a single custom hook
POST
/
v1
/
custom-hooks
cURL
curl -X POST 'https://api.growthbook.io/api/v1/custom-hooks' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Require a description","hook":"validateFeature","code":"if (!feature.description) {\n throw new Error(\"Feature must have a description\");\n}"}'import requests
url = "https://api.growthbook.io/api/v1/custom-hooks"
payload = {
"name": "<string>",
"code": "<string>",
"enabled": True,
"projects": ["<string>"],
"entityId": "<string>",
"incrementalChangesOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
enabled: true,
projects: ['<string>'],
entityId: '<string>',
incrementalChangesOnly: true
})
};
fetch('https://api.growthbook.io/api/v1/custom-hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customHook": {
"id": "<string>",
"name": "<string>",
"hook": "validateFeature",
"code": "<string>",
"enabled": true,
"projects": [
"<string>"
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"entityType": "feature",
"entityId": "<string>",
"incrementalChangesOnly": true,
"lastSuccess": "2023-11-07T05:31:56Z",
"lastFailure": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Body
application/json
The display name of the custom hook
Available options:
validateFeature, validateFeatureRevision, validateConfig, validateConfigRevision, validateExperiment Project ids the hook applies to (empty/omitted = all)
Available options:
feature, config, experiment Response
200 - application/json
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/custom-hooks' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Require a description","hook":"validateFeature","code":"if (!feature.description) {\n throw new Error(\"Feature must have a description\");\n}"}'import requests
url = "https://api.growthbook.io/api/v1/custom-hooks"
payload = {
"name": "<string>",
"code": "<string>",
"enabled": True,
"projects": ["<string>"],
"entityId": "<string>",
"incrementalChangesOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
enabled: true,
projects: ['<string>'],
entityId: '<string>',
incrementalChangesOnly: true
})
};
fetch('https://api.growthbook.io/api/v1/custom-hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customHook": {
"id": "<string>",
"name": "<string>",
"hook": "validateFeature",
"code": "<string>",
"enabled": true,
"projects": [
"<string>"
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"entityType": "feature",
"entityId": "<string>",
"incrementalChangesOnly": true,
"lastSuccess": "2023-11-07T05:31:56Z",
"lastFailure": "2023-11-07T05:31:56Z"
}
}
